Bug 225950 - audio/xmms2: Missing ssl dependency in slave-ports
Summary: audio/xmms2: Missing ssl dependency in slave-ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-16 13:29 UTC by Bernard Spil
Modified: 2018-05-21 20:02 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+


Attachments
svn diff for audio/*-xmms2 (1.13 KB, text/plain)
2018-02-16 13:29 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-02-16 13:29:28 UTC
Created attachment 190688 [details]
svn diff for audio/*-xmms2

The xmms2 slave ports are missing a dependency on ssl. OpenSSL is installed via other deps (python, perl, ...) and detected/used by the Airplay plugin.

When built with openssl-devel (OpenSSL 1.1) building fails, register BROKEN with the special BROKEN_SSL.
Comment 1 Guido Falsi freebsd_committer 2018-02-16 20:56:32 UTC
Thanks for the patch.

I'm going to test it, but I suspect the broken is also needed i the main xmms2 port, or am I missing the point?
Comment 2 Guido Falsi freebsd_committer 2018-04-18 07:14:17 UTC
Hi, Can you please check if the ssl dependency is needed in the main xmms2 port or only in the dependencies?

Thanks!
Comment 3 Bernard Spil freebsd_committer 2018-04-21 09:55:59 UTC
(In reply to Guido Falsi from comment #2)

Can't really tell if it's required in the main port. From the poudriere logs it looks like the main audio/xmms2 port has no dependency on openssl itself, it builds OK with OpenSSL 1.1.1 (see https://keg.brnrd.eu/data/111amd64-default-openssl111/2018-03-11_11h02m59s/logs/xmms2-0.8_23.log). Some of the slave ports do
require OpenSSL in src/plugins/airplay/raop_client.c and thus fail
https://keg.brnrd.eu/data/111amd64-default-openssl111/2018-03-11_11h02m59s/logs/errors/cpp-xmms2-0.8_14.log
https://keg.brnrd.eu/data/111amd64-default-openssl111/2018-03-11_11h02m59s/logs/errors/p5-xmms2-0.8_2.log
https://keg.brnrd.eu/data/111amd64-default-openssl111/2018-03-11_11h02m59s/logs/errors/py27-xmms2-0.8_5.log
Comment 4 commit-hook freebsd_committer 2018-05-21 20:01:20 UTC
A commit references this bug:

Author: madpilot
Date: Mon May 21 20:00:49 UTC 2018
New revision: 470573
URL: https://svnweb.freebsd.org/changeset/ports/470573

Log:
  - Mark xmms2 slave ports as broken with openssl-devel [1]

  While here:

  - Strip binaries
  - Add missing dependency to audio/xmms2

  PR:		225950 [1]
  Submitted by:	brnrd

Changes:
  head/audio/cpp-xmms2/Makefile
  head/audio/p5-xmms2/Makefile
  head/audio/py-xmms2/Makefile
  head/audio/xmms2/Makefile
Comment 5 Guido Falsi freebsd_committer 2018-05-21 20:02:25 UTC
Committed.

Sorry it took so long!